:root {
    --container-bg: #c5dad0;
}

.residential-service {
    margin-bottom: 40px;
}

.residential-image img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.ff-land {
  background-color: black;
  position: relative;
  overflow: hidden;
  margin: auto;
  color: white;
}

.ff-land::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-image: url('/src/FreshBin Truck with Vibrant Graphic Design.png');
  background-size: cover;
  background-position: center;
  opacity: 0.65;
  transition: all 0.5s ease;
  z-index: 1;
}

.ff-land:hover::before {
  filter: blur(5px);
  opacity: 0.5;
}

.first-land {
  position: relative;
  z-index: 2;
  opacity: 1;
  padding: 5rem;
  height: fit-content;
  border-radius: 15px;
}

.sub-lead {
    color: white;
    font-weight: 700;
    font-size: 1.2rem;
}

.button-group {
    margin-top: 3rem;
    display: flex;
    gap: 1rem;
}

.h2 {
    margin-bottom: 1rem;
}

.why-choose-card {
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    transition: box-shadow 0.3s ease;
    margin-bottom: 1rem;
}

.lead {
    font-size: 1.25rem;
    margin-bottom: 1.5rem;
}

.text-center {
    text-align: center;
}

#residential {
    background-color: var(--container-bg);
    padding: 2rem;
    border-radius: 20px;
}

#commercial {
    background-color: white;
    padding: 2rem;
    border-radius: 20px;
}

#one-time{
    background-color: #e0e0e0;
    padding: 2rem;
    border-radius: 20px;
}